<?php
$messages = array();
$error    = FALSE;
if (isset($custom_action)) {
    $action = $custom_action;
} else {
    $action = $_REQUEST["action"];
}

switch ($action) {

    case 'edit_image':
        edit_image();
        break;
    case 'delete_image':
        delete_image();
        break;
    case 'new_image':
        require_once("edit_image_cardform.inc.php");
        break;
    case 'save_image':
        save_image();
        break;
    default:
        require_once("edit_image_listform.inc.php");
        break;
}

function edit_image( $_id = "", $messages = array() ) {
    if ((int)$_id > 0) {
        $input_id = $_id;
    } else {
        $input_id = $_REQUEST["input_id"];
    }

    if ($input_id <> '') {
        $query  = "SELECT * FROM image_header WHERE id = '" . $input_id . "' LIMIT 1";
        $result = @mysqli_query($GLOBALS['mysql_con'], $query);
        if (@mysqli_num_rows($result) == 1) {
            $input_image = @mysqli_fetch_array($result);
            require_once("edit_image_cardform.inc.php");
            
        }
    } else {
        $input_image = array();
        require_once("edit_image_cardform.inc.php");
    }
}

function delete_image() {
    if ($_REQUEST["input_id"] <> '') {
        $query = "DELETE FROM image_header WHERE id = '" . $_REQUEST["input_id"] . "' LIMIT 1";
        @mysqli_query($GLOBALS['mysql_con'], $query);

        // zuordnung von Seiten loeschen
        $query = "DELETE FROM main_page_link WHERE main_sitepart_id = 1 AND main_sitepart_header_id = '" . $_REQUEST["input_id"]."'";
        @mysqli_query($GLOBALS['mysql_con'], $query);

        
        $query = "DELETE FROM multi_contactform_link WHERE main_sitepart_id = 1 AND main_sitepart_header_id = '" . $_REQUEST["input_id"]."'";
        
        @mysqli_query($GLOBALS['mysql_con'], $query);
        update_sitepart_changes(1, $_REQUEST["input_id"], TRUE);
    }
    require_once("edit_image_listform.inc.php");
}

function save_image() {

    $translation = \DynCom\mysyde\common\classes\Registry::get("translation");
    $input_id    = "";
    $input_all_languages = ($_POST["input_all_languages"] == "on") ? 1 : 0;

    if ($_REQUEST["input_id"] <> '') {
        $query    = "UPDATE image_header SET
				description = '" . mysqli_real_escape_string($GLOBALS['mysql_con'], $_REQUEST["input_description"]) . "',
				modified_date = " . time() . ",
				modified_user = " . (int)$GLOBALS["admin_user"]['id'] . ",
				content = '" . mysqli_real_escape_string($GLOBALS['mysql_con'], $_REQUEST["input_image"]) . "', 
				all_languages = " . $input_all_languages . "
				WHERE id = " . $_REQUEST["input_id"] . " 
			LIMIT 1";
        $inserted = FALSE;
        $input_id = $_REQUEST["input_id"];
    } else {
        $query    = "INSERT INTO image_header
			(main_language_id, description, modified_date, modified_user, content, all_languages)
			VALUES (
				'" . $GLOBALS["language"]['id'] . "',
				'" . mysqli_real_escape_string($GLOBALS['mysql_con'], $_REQUEST['input_description']) . "',
				" . time() . ",
				" . (int)$GLOBALS["admin_user"]['id'] . ",
				'" . mysqli_real_escape_string($GLOBALS['mysql_con'], $_REQUEST['input_image']) . "',
				" . $input_all_languages . "
			)";
        $inserted = TRUE;
    }
    
    if (($_REQUEST["input_description"] == '')) {
        $messages[] = "<div class=\"errorbox\">" . $translation->get("error_description") . "</div>\n";
        $error      = TRUE;
    }

    if (!$error) {
        @mysqli_query($GLOBALS['mysql_con'], $query);
        if ($inserted == TRUE) {
            $input_id   = mysqli_insert_id($GLOBALS['mysql_con']);
            $messages[] = '<div class="successbox">' . $translation->get("image_msg_success1") . '</div>';
        } else {
            $messages[] = '<div class="successbox">' . $translation->get("image_msg_success2") . '</div>';
        }

        update_sitepart_changes(4, $input_id);

        if (is_page_edit()) {
            header('EDIT_ERROR: 1'); // verhindern, dass overlay geschlossen wird
            if (line_already_exists($_REQUEST["input_page_id"], 4, $input_id) === FALSE) {
                assoc_sitepart(4, $input_id, FALSE);
            }

            if ($_REQUEST['force_close'] == 1) {
                edit_content_page();
                return;
            }

            edit_image($input_id, $messages);

        } else if(is_contact_edit()){
            
            header('EDIT_ERROR: 1'); // verhindern, dass overlay geschlossen wird
            if (line_already_exists($_REQUEST["input_section_id"], 4, $input_id) === FALSE) {
                
                assoc_sitepart(4, $input_id, FALSE);
            }

            if ($_REQUEST['force_close'] == 1) {
                edit_contactform();
                return;
            }

            edit_image($input_id, $messages);
        }
         elseif (is_component_edit()) {
            header('EDIT_ERROR: 1'); // verhindern, dass overlay geschlossen wird
            if (line_already_exists($_REQUEST["input_component_id"], 4, $input_id) === FALSE) {
                assoc_sitepart(4, $input_id, FALSE);
            }

            if ($_REQUEST['force_close'] == 1) {
                edit_component("", $messages);
                return;
            }

            edit_image($input_id, $messages);
        } else {
            edit_image($input_id, $messages);
        }

    } else {
        header('EDIT_ERROR: 1');
        $input_image["description"] = $_REQUEST["input_description"];
        $input_image["content"]     = $_REQUEST["image"];
        $input_image["id"]          = $_REQUEST["input_id"];
        $input_image["all_languages"]          = $input_all_languages;
        require_once("edit_image_cardform.inc.php");
    }
}